libzypp 17.37.10

ztui::out::ListFormater Class Reference

Default representation of types in Lists [asListElement]. More...

`#include <zypp-tui/output/Out.h>`

Inheritance diagram for ztui::out::ListFormater:

## Public Types
using | NormalLayout = DefaultListLayout

## Public Member Functions
template<class Tp>
std::string | listElement (const Tp &val_r) const
Public Member Functions inherited from ztui::out::XmlFormater
template<class Tp>
std::string | xmlListElement (const Tp &val_r) const

## Related Symbols
(Note that these are not member symbols.)
template<class Tp>
std::string | asListElement (const Tp &val_r)
| NORMAL representation of types in lists [no default].
Related Symbols inherited from ztui::out::XmlFormater
template<class Tp>
std::string | asXmlListElement (const Tp &val_r)
| XML representation of types [no default].

## Detailed Description

Default representation of types in Lists [asListElement].

Definition at line 166 of file Out.h.

## Member Typedef Documentation

## ◆ NormalLayout

using ztui::out::ListFormater::NormalLayout = DefaultListLayout

Definition at line 168 of file Out.h.

## Member Function Documentation

## ◆ listElement()

template<class Tp>

std::string ztui::out::ListFormater::listElement | ( | const Tp & | val_r | ) | const
| inline

Definition at line 171 of file Out.h.

## Friends And Related Symbol Documentation

## ◆ asListElement()

template<class Tp>

std::string asListElement | ( | const Tp & | val_r | ) |
| related

NORMAL representation of types in lists [no default].

The documentation for this class was generated from the following file:

- zypp-tui/output/Out.h